Application: gvSIG desktop - gvSIG bugs #3609

The "?" doesn't work when using the "like" parameter at the Filter tool

06/23/2015 10:13 AM - Mario Carrera
Description

The "?" indicates a character when using the "like" parameter at the Filter tool. It doesn't work in gvSIG 2.2.

Example:
FIELD like "??xt'
(it would find the word "text" for example)

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 3608: There's an error i... Closed

06/23/2015

History

#1 - 06/23/2015 10:13 AM - Mario Carrera

- Related to gvSIG bugs #3608: There's an error in the Filter tool when the text has an apostrophe added

#2 - 06/23/2015 03:20 PM - Antonio Falciano
- Status changed from New to Invalid

Hi Mario,
use the underscore as wildcard char for a single character (see #3608).

http://www.w3schools.com/sql/sql wildcards.asp

#3 - 06/29/2015 08:29 PM - Joaquin del Cerro Murciano
- Target version set to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)
http://www.w3schools.com/sql/sql_wildcards.asp

